
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Acceso:.
    </ui:define>


    <ui:define name="titlePages">
        <span>Accesos</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Administración</li>
      <li>Accesos</li>
    </ui:define>

    <ui:define name="content">
    #{accesoMB.validarSesion()}
    #{accesoMB.iniciarPagina()}
        <div class="row">
                <h:form id="frmAcceso">
                	 <p:growl life="5000"  id="mensaje" showDetail="true" sticky="false" />
                    <div class="col-md-12">
                        <fieldset>
                            <div class="row box-mb">
                                
                                <div class="col-sm-4" >
                                    <div class="form-group">
                                        <h:outputLabel for="cboPerfil" value="Perfil: " styleClass="control-label"/>
                                        <p:selectOneMenu 	id="cboPerfil"
                                        					value="#{accesoMB.perfilId}" onchange="PF('statusDialog').show()"
                                            				styleClass="form-control style-select">
                                                <f:selectItem itemValue="0" itemLabel="Seleccione"/>
                                                <f:selectItems value="#{accesoMB.lstPerfil}"
                                                    var="perfil"
                                                    itemValue="#{perfil.id}"
                                                    itemLabel="#{perfil.nombre}" />
                                                <p:ajax event="change" listener="#{accesoMB.listarMenus}" oncomplete="PF('statusDialog').hide()"
				                        				update=":frmAcceso:tblMenus,:frmAcceso:tblSubMenus,:frmAcceso:mensaje"/>
                                            </p:selectOneMenu>
                                    </div>
                                    
                                </div>
  <!--                               
                                <div class="col-sm-2" >
                                    <div class="space-top-btn"></div>
                                    <div class="form-group">
                                      <p:commandButton 	id="idListar"
                                    					value="Listar" 
                                    					icon="icon-search ocultarImgIcon" 
                                    					styleClass="btn btn-default btn-sensitive btn-buscar"
                                    					update=":frmAcceso:tblMenus,:frmAcceso:tblSubMenus,:frmAcceso:mensaje" 
                                    					actionListener="#{accesoMB.listarMenus()}" 
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					ajax="true"/>
                                    </div>
                                    
                                </div>
   -->                              
                                
                            </div>

                            <div class="row box-mb">
                                <div class="col-sm-6 box-table-class">
                                    <p:dataTable 	id="tblMenus" 
                                    				var="acceso" 
                                    				value="#{accesoMB.lstMenus}" 
                                    				rowKey="#{acceso.id}" 
                                    				rowIndexVar="item"
                                    				style="margin-bottom:0" 
                                    				emptyMessage="">
                                        <p:column headerText="Nro" styleClass="nroItemTable" >
                                            <h:outputText value="#{item + 1}"/>
                                        </p:column>

                                        <p:column headerText="Menú">
                                            <h:outputText value="#{acceso.componente.nombreExterno}" />
                                        </p:column>
                                        
                                        <p:column headerText="Asignado" style="width:70px;text-align:center">
                                            <p:selectBooleanCheckbox value="#{acceso.asignado}" id="menu_#{acceso.id}">
                                            	<p:ajax event="change" listener="#{accesoMB.verificarSubMenus(acceso,acceso.componente.id,acceso.asignado)}" update=":frmAcceso:tblSubMenus,:frmAcceso:mensaje" />
                                            </p:selectBooleanCheckbox>
                                        </p:column>
                                        
                                        <p:column headerText="Sub Menus" style="width:85px;text-align:center">
                                             <p:commandButton 	
                                    					title="Ver SubMenus" 
                                    					icon="icon-search ocultarImgIcon" 
                                    					styleClass="btn btn-default btn-sensitive btn-buscar" 
                                    					actionListener="#{accesoMB.listarSubMenus(acceso)}" 
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					ajax="true"
                                    					update=":frmAcceso:mensaje,:frmAcceso:tblSubMenus"
                                    					/>
                                        </p:column>
                                        
                                        
                                    </p:dataTable>
                                </div>
                                <div class="col-sm-6 box-table-class">
                                     <p:dataTable 	id="tblSubMenus" 
                                    				var="acceso" 
                                    				value="#{accesoMB.lstSubMenus}" 
                                    				rowKey="#{acceso.id}" 
                                    				rowIndexVar="item"
                                    				style="margin-bottom:0" 
                                    				emptyMessage="">
                                        <p:column headerText="Nro" styleClass="nroItemTable" >
                                            <h:outputText value="#{item + 1}"/>
                                        </p:column>

                                        <p:column headerText="Menú">
                                            <h:outputText value="#{acceso.componente.nombreExterno}" />
                                        </p:column>
                                        
                                         <p:column headerText="Asignado" style="width:70px;text-align:center" >
                                            <p:selectBooleanCheckbox value="#{acceso.asignado}" id="submenu_#{acceso.id}" >
                                            	<p:ajax event="change" listener="#{accesoMB.verificarMenuGeneral(acceso.componente.padreId)}" update=":frmAcceso:tblMenus,:frmAcceso:mensaje" />
                                            </p:selectBooleanCheckbox>
                                        </p:column>
                                        	
									</p:dataTable>		
                                </div>
                            </div>

                            <br/>
                            <div class="row box-mb">
                                <div class="col-sm-12 text-right box-main-btn">
                                    <p:commandButton 	value="Grabar" 
                                    					styleClass="btn btn-primary btn-sensitive" 
                                    					actionListener="#{accesoMB.grabar}" 
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					icon="fa fa-floppy-o ocultarImgIcon"
                                    					ajax="true"
                                    					update=":frmAcceso:tblMenus,:frmAcceso:tblSubMenus,:frmAcceso:mensaje"
                                    					/>
                                </div>
                            </div>

                        </fieldset>
                    </div>
                </h:form>
                <p:dialog widgetVar="statusDialog" modal="true" draggable="false" closable="false" resizable="false" showHeader="false">
						<p:graphicImage value="../resources/img/loadingbar.gif" />
				</p:dialog>
        </div>
    </ui:define>

</ui:composition>
